LIBTOOL(1)

NAME
libtool - Provide generalized library-building support services.

SYNOPSIS
libtool [OPTION]... [MODE-ARG]...

DESCRIPTION
The `libtool' program provides a standard way to generate both static and shared libraries. It hides the complexities of platform-specific library generation behind an interface that is the same across all platforms supported by libtool.

OPTIONS
libtool accepts the following options:

--config
    Display libtool configuration variables and exit.

--debug
    Dump a trace of shell script execution to standard output. This produces a lot of output, so you may wish to pipe it to `less' (or `more') or redirect to a file.

-n|--dry-run
    Don't create, modify, or delete any files, just show what commands would be executed by `libtool'.

--features
    Display basic configuration options. This provides a way for packages to determine whether shared or static libraries will be built.

--finish
    Same as --mode=finish.

--help
    Display a help message and exit. If --mode=MODE is specified, then detailed help for MODE is displayed.

--mode=MODE
    Use MODE as the operation mode. By default, the operation mode is inferred from the MODE-ARGS. If MODE is specified, it must be one of the following:

    clean Remove files from the build directory

    compile Compile a source file into a `libtool' object.

    execute Automatically set the library path, then run a program.

    finish Complete the installation of libtool libraries.

    install Install libraries or executables.

    link Create a library or an executable.

    uninstall Remove libraries from an installed directory.

--quiet
    Same as `--silent'.

--silent
    Don't print informational messages.

--tag=TAG
    Use configuration variables from tag TAG

--version
    Print version information.

The MODE-ARGS are a variable number of arguments, depending on the selected operation mode. In general, each MODE-ARG is interpreted by programs libtool invokes, rather than libtool itself.

SEE ALSO
libtoolize(1), automake(1)
`libtool', `libtoolize' and `automake' are fully documented via the Info system.

AUTHOR
This manual page was created by Ossama Othman <ossama@debian.org>. It is based on the "Invoking Libtool" menu entry in the `libtool' TEXINFO documentation, and the output from the --help option. It was updated for Libtool 1.5 by Scott James Remnant <scott@netsplit.com>.